Subject: Re: bug#41659: 28.0.50; smime: encryption uses now base64, message not readable

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 23 Jul 2020 17:04:22 +0200

OK, I see what the bug is now -- my previous patch always added a
Content-type header to the decrypted message.  This helped with a test
case I had where the decrypted message didn't have one, and the parsing
failed there.

With the added header, it instead fails if the decrypted message does
already have a Content-type header, as all encrypted messages from
Message has.

So I think the fix here is to just check before adding...  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no